Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::TLS::BotanAlertCategory Struct Reference

An error category for TLS alerts. More...

`#include <asio_error.h>`

Inheritance diagram for Botan::TLS::BotanAlertCategory:

## Public Member Functions
std::string | message (int ev) const override
const char * | name () const noexcept override

## Detailed Description

An error category for TLS alerts.

Definition at line 71 of file asio_error.h.

## Member Function Documentation

## ◆ message()

std::string Botan::TLS::BotanAlertCategory::message | ( | int | ev | ) | const
| inline override

Definition at line 78 of file asio_error.h.

79 {
80 Botan::TLS::Alert alert(static_cast<Botan::TLS::Alert::Type>(ev));
81 return alert.type_string();
82 }
Botan::TLS::Alert
Definition: tls_alert.h:22
Botan::TLS::Alert::Type
Type
Definition: tls_alert.h:27

References Botan::TLS::Alert::type_string().

## ◆ name()

const char * Botan::TLS::BotanAlertCategory::name | ( |  | ) | const
| inline override noexcept

Definition at line 73 of file asio_error.h.

74 {
75 return "Botan TLS Alert";
76 }

The documentation for this struct was generated from the following file:

- src/lib/tls/asio/asio_error.h